Bug 1026386 - [abrt] will-crash: main(): will_segfault killed by SIGSEGV
[abrt] will-crash: main(): will_segfault killed by SIGSEGV
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: will-crash (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Marko
Fedora Extras Quality Assurance
abrt_hash:348f14424bdf6726346c74fe532...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 09:30 EST by Denys Vlasenko
Modified: 2016-01-31 21:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:31:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (3.24 KB, text/plain)
2013-11-04 09:30 EST, Denys Vlasenko
no flags Details
File: cgroup (127 bytes, text/plain)
2013-11-04 09:31 EST, Denys Vlasenko
no flags Details
File: core_backtrace (461 bytes, text/plain)
2013-11-04 09:31 EST, Denys Vlasenko
no flags Details
File: dead.letter (9.34 KB, text/plain)
2013-11-04 09:31 EST, Denys Vlasenko
no flags Details
File: dso_list (232 bytes, text/plain)
2013-11-04 09:31 EST, Denys Vlasenko
no flags Details
File: environ (3.07 KB, text/plain)
2013-11-04 09:31 EST, Denys Vlasenko
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-04 09:31 EST, Denys Vlasenko
no flags Details
File: maps (1.37 KB, text/plain)
2013-11-04 09:31 EST, Denys Vlasenko
no flags Details
File: open_fds (105 bytes, text/plain)
2013-11-04 09:31 EST, Denys Vlasenko
no flags Details
File: proc_pid_status (902 bytes, text/plain)
2013-11-04 09:32 EST, Denys Vlasenko
no flags Details

  None (edit)
Description Denys Vlasenko 2013-11-04 09:30:41 EST
Description of problem:
Testing bugzilla reporting

Version-Release number of selected component:
will-crash-0.4-1.fc18

Additional info:
reporter:       libreport-2.1.9.7.g7d03.dirty
backtrace_rating: 4
cmdline:        will_segfault
crash_function: main
executable:     /usr/bin/will_segfault
kernel:         3.10.11-100.fc18.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
[New LWP 7027]
warning: .dynamic section for "/lib64/libc.so.6" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "/lib64/ld-linux-x86-64.so.2" is not at the expected address (wrong library or version mismatch?)
warning: Could not load shared library symbols for      number of relative relocations: %lu
.
Do you need "set solib-search-path" or "set sysroot"?
Core was generated by `will_segfault'.
Program terminated with signal 11, Segmentation fault.
#0  main () at will_segfault.c:7
7	}

Thread 1 (LWP 7027):
#0  main () at will_segfault.c:7
        i = <error reading variable i (Cannot access memory at address 0x0)>
From                To                  Syms Read   Shared Object Library
0x00007f0a838c31e0  0x00007f0a83a04840  Yes         /lib64/libc.so.6
0x00007f0a83c5cb28  0x00007f0a83c763e1  Yes         /lib64/ld-linux-x86-64.so.2
                                        No               number of relative relocations: %lu

$1 = 0x0
No symbol "__glib_assert_msg" in current context.
rax            0xf	15
rbx            0x0	0
rcx            0x7f0a83982760	139683134187360
rdx            0x7f0a83c57a30	139683137157680
rsi            0x7f0a83e7a000	139683139395584
rdi            0x1	1
rbp            0x0	0x0
rsp            0x7fff371c1a20	0x7fff371c1a20
r8             0xffffffff	4294967295
r9             0x0	0
r10            0x22	34
r11            0x246	582
r12            0x40045c	4195420
r13            0x7fff371c1b00	140734117976832
r14            0x0	0
r15            0x0	0
rip            0x40044e	0x40044e <main+14>
eflags         0x10246	[ PF ZF IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
st0            *value not available*
st1            *value not available*
st2            *value not available*
st3            *value not available*
st4            *value not available*
st5            *value not available*
st6            *value not available*
st7            *value not available*
fctrl          *value not available*
fstat          *value not available*
ftag           *value not available*
fiseg          *value not available*
fioff          *value not available*
foseg          *value not available*
fooff          *value not available*
fop            *value not available*
xmm0           *value not available*
xmm1           *value not available*
xmm2           *value not available*
xmm3           *value not available*
xmm4           *value not available*
xmm5           *value not available*
xmm6           *value not available*
xmm7           *value not available*
xmm8           *value not available*
xmm9           *value not available*
xmm10          *value not available*
xmm11          *value not available*
xmm12          *value not available*
xmm13          *value not available*
xmm14          *value not available*
xmm15          *value not available*
mxcsr          *value not available*
Dump of assembler code for function main:
   0x0000000000400440 <+0>:	sub    $0x8,%rsp
   0x0000000000400444 <+4>:	mov    $0x400600,%edi
   0x0000000000400449 <+9>:	callq  0x400410 <puts@plt>
=> 0x000000000040044e <+14>:	mov    0x0,%eax
   0x0000000000400455 <+21>:	add    $0x8,%rsp
   0x0000000000400459 <+25>:	retq   
End of assembler dump.

Potential duplicate: bug 851210
Comment 1 Denys Vlasenko 2013-11-04 09:30:57 EST
Created attachment 819185 [details]
File: backtrace
Comment 2 Denys Vlasenko 2013-11-04 09:31:05 EST
Created attachment 819186 [details]
File: cgroup
Comment 3 Denys Vlasenko 2013-11-04 09:31:22 EST
Created attachment 819187 [details]
File: core_backtrace
Comment 4 Denys Vlasenko 2013-11-04 09:31:29 EST
Created attachment 819188 [details]
File: dead.letter
Comment 5 Denys Vlasenko 2013-11-04 09:31:37 EST
Created attachment 819189 [details]
File: dso_list
Comment 6 Denys Vlasenko 2013-11-04 09:31:43 EST
Created attachment 819190 [details]
File: environ
Comment 7 Denys Vlasenko 2013-11-04 09:31:51 EST
Created attachment 819191 [details]
File: limits
Comment 8 Denys Vlasenko 2013-11-04 09:31:55 EST
Created attachment 819192 [details]
File: maps
Comment 9 Denys Vlasenko 2013-11-04 09:31:59 EST
Created attachment 819193 [details]
File: open_fds
Comment 10 Denys Vlasenko 2013-11-04 09:32:04 EST
Created attachment 819194 [details]
File: proc_pid_status
Comment 11 Denys Vlasenko 2013-11-04 09:40:00 EST
Testing bugzilla reporting 2

reporter:       libreport-2.1.9.7.g7d03.dirty
backtrace_rating: 4
cmdline:        will_segfault
crash_function: main
executable:     /usr/bin/will_segfault
kernel:         3.10.11-100.fc18.x86_64
package:        will-crash-0.4-1.fc18
reason:         will_segfault killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            0
Comment 12 Denys Vlasenko 2013-11-04 11:04:28 EST
Another user experienced a similar problem:

Testing bugzilla reporting 2

reporter:       libreport-2.1.9.9.gdef1.dirty
backtrace_rating: 4
cmdline:        will_segfault
crash_function: main
executable:     /usr/bin/will_segfault
kernel:         3.10.11-100.fc18.x86_64
package:        will-crash-0.4-1.fc18
reason:         will_segfault killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            0
Comment 13 Fedora End Of Life 2013-12-21 09:44:12 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2014-02-05 17:31:40 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.